{% extends 'base.html' %}
{% load static %}

{% block styles %}
  <link rel="stylesheet" type="text/css" href="{% static 'css/style.css' %}">
  <link rel="stylesheet" type="text/css" href="{% static 'css/chat.css' %}">
{% endblock %}

{% block title %}
  Нейро-консультант
{% endblock %}

{% block content %}
<div class="parent-container">
  <div class="text-container">
    <h3>Здравствуйте!</h3>
    <p >Наш нейро-консультант готов помочь вам в консультации 24/7. &#10148; </p>
    <hr>
  </div>

  <div class="chat-container">
    <div class="card flex-grow-1">
      <div class="card-header bg-dark text-white">Chat</div>
      <div class="card-body messages-box">
        <ul class="list-unstyled messages-list">
          <!-- Сообщение от AI Консультанта -->
          <li class="message received">
            <!-- Структура сообщения от консультанта -->
            <div class="message-text">
              <div class="message-sender">
                <b>AI Консультант</b>
              </div>
              <div class="message-content">
                <p>Добрый день! Я консультант-эксперт по вопросам страхования ответственности в области авиации.</p>
                <p>Какой у Вас вопрос?</p>
              </div>
            </div>
          </li>
        </ul>
      </div>
      <form class="message-form">
        {% csrf_token %}
        <div class="input-group">
          <input type="text" class="form-control message-input" placeholder="Введите сообщение...">
          <div class="input-group-append">
            <button type="submit" class="btn btn-dark btn-send">Send</button>
          </div>
        </div>
      </form>
    </div>
  </div>
</div>

{% block scripts %}
    <script src="{% static 'js/chatbot.js' %}"></script>
{% endblock %}

{% endblock %}